import { Component, NgModule } from '@angular/core';
import { ModalController, IonModal, IonHeader, IonToolbar, IonTitle, IonContent, IonList, IonItem, IonLabel, IonAvatar, IonButton, IonSegment, IonSegmentButton, IonSegmentContent, IonSegmentView, IonCardContent, IonCardTitle, IonCardHeader, IonCard, IonIcon, IonButtons } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { addIcons } from 'ionicons';
import { airplane, bluetooth, call, wifi } from 'ionicons/icons';
import { ArticleCardComponent } from '../component/article-card/article-card.component';
import { CommonModule } from '@angular/common';
import { CloudObject, CloudQuery } from 'src/lib/ncloud';
import { NavigationLanComponent } from '../component/navigation-lan/navigation-lan.component';
import { Router } from '@angular/router';
import { cardDisplay } from '../page/data-modal/data-modal.component';
import { openUserLoginModal } from 'src/lib/user/modal-user-login/modal-user-login.component';
addIcons({ airplane, bluetooth, call, wifi });

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonLabel,IonItem,IonList,IonAvatar,ArticleCardComponent,CommonModule,IonButton,
    IonSegment, IonSegmentButton,NavigationLanComponent,
    IonSegmentContent,IonSegmentView,IonCardContent, IonCardTitle, IonCardHeader,IonCard,
    IonModal,IonIcon, IonButtons,
  ]
})

export class Tab2Page {

  isModalOpen = false;
  currentProduct: any;      // 当前选择的科普信息
  openDetailModal(product?: any) {
    this.isModalOpen = true;
    this.currentProduct = product;
  }
  closeDetailModal() {
    this.isModalOpen = false;
    this.currentProduct = null;
  }
  shareDetail = false;
  shareDetailModal() {
    this.shareDetail = true;
    // 在这里确保模态框的aria-hidden属性被正确处理
    setTimeout(() => {
      const modalElement = document.querySelector('ion-modal');
      if (modalElement) {
        modalElement.setAttribute('aria-hidden', 'false');
      }
    }, 0);
  }
  closeShareModal(){
    this.shareDetail = false;
      // 在这里确保模态框关闭时处理aria-hidden属性
    const modalElement = document.querySelector('ion-modal');
    if (modalElement) {
      modalElement.setAttribute('aria-hidden', 'true');
    }
  }
  copyLink() {
    console.log('复制链接');
  }
  type:"hotdot"|"export"|"sleep"|"lift"|"male"|"female" = "hotdot"

  constructor(
    private modalCtrl:ModalController,
    private router:Router,
  ) { }

  cards: Array<CloudObject> = [];
  typeChange(ev: any) {
    this.type = ev?.detail?.value || ev?.value || 'hotdot';
    console.log(this.type);
    this.loadCards(); // 重新加载卡片
  }

  async loadCards() {
    const query = new CloudQuery('HotDot');
    // if (this.type) {
    //   query.equalTo('category', this.type); // 根据选择的类型设置查询条件
    // }
    this.cards = await query.find(); // 执行查询并获取结果
  }

  ngOnInit() {
    this.loadCards();
  }

}
